/**
 * main.js
 *
 * Bootstraps Vuetify and other plugins then mounts the App`
 */

// Plugins
import { registerPlugins } from './plugins'
import { useAuthStore, initializeAuth } from './stores/auth';

// Components
import App from './App.vue'

// Composables
import { createApp } from 'vue'
import { createVuetify } from 'vuetify';

const app = createApp(App)

registerPlugins(app)

const authStore = useAuthStore();
authStore.loadTokenFromStorage();
initializeAuth(authStore);


app.mount('#app')
